<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC Generator (erpcgen): BuiltinType.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC Generator (erpcgen)
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_builtin_type_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">BuiltinType.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright (c) 2014, Freescale Semiconductor, Inc.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> * Copyright 2016 NXP</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * All rights reserved.</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * Redistribution and use in source and binary forms, with or without modification,</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> * are permitted provided that the following conditions are met:</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> * o Redistributions of source code must retain the above copyright notice, this list</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> *   of conditions and the following disclaimer.</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * o Redistributions in binary form must reproduce the above copyright notice, this</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> *   list of conditions and the following disclaimer in the documentation and/or</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> *   other materials provided with the distribution.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> * o Neither the name of the copyright holder nor the names of its</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> *   contributors may be used to endorse or promote products derived from this</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> *   software without specific prior written permission.</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot; AND</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"> * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment"> * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment"> * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment"> * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="comment"> * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="comment"> * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#ifndef _EMBEDDED_RPC__BUILTINTYPE_H_</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#define _EMBEDDED_RPC__BUILTINTYPE_H_</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#include &quot;DataType.h&quot;</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="comment">// Classes</span></div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceerpcgen.html">erpcgen</a> {</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_builtin_type.html">   47</a></span>&#160;<span class="keyword">class </span><a class="code" href="classerpcgen_1_1_builtin_type.html">BuiltinType</a> : <span class="keyword">public</span> <a class="code" href="classerpcgen_1_1_data_type.html">DataType</a></div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;{</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_builtin_type.html#a631f1f1e3e9aff50d2d18b6e1c288aac">   53</a></span>&#160;    <span class="keyword">enum</span> <a class="code" href="classerpcgen_1_1_builtin_type.html#a631f1f1e3e9aff50d2d18b6e1c288aac">_builtin_type</a></div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    {</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;        kBoolType,</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;        kInt8Type,</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;        kInt16Type,</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;        kInt32Type,</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;        kInt64Type,</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;        kUInt8Type,</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;        kUInt16Type,</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;        kUInt32Type,</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;        kUInt64Type,</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;        kFloatType,</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;        kDoubleType,</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;        kStringType,</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;        kBinaryType</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    };</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00078"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_builtin_type.html#ae63a5dda5dccb51406768ee887cb34b0">   78</a></span>&#160;    <a class="code" href="classerpcgen_1_1_builtin_type.html#ae63a5dda5dccb51406768ee887cb34b0">BuiltinType</a>(<span class="keyword">const</span> std::string &amp;name, <a class="code" href="classerpcgen_1_1_builtin_type.html#a631f1f1e3e9aff50d2d18b6e1c288aac">_builtin_type</a> builtinType)</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;    : <a class="code" href="classerpcgen_1_1_data_type.html">DataType</a>(name, kBuiltinType)</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    , <a class="code" href="classerpcgen_1_1_builtin_type.html#acde044e9a252a99cfb221064e694bd78">m_builtinType</a>(builtinType)</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    {</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    }</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div><div class="line"><a name="l00089"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_builtin_type.html#a2f067a043464e7157495a8f29d62899e">   89</a></span>&#160;    <a class="code" href="classerpcgen_1_1_builtin_type.html#a631f1f1e3e9aff50d2d18b6e1c288aac">_builtin_type</a> <a class="code" href="classerpcgen_1_1_builtin_type.html#a2f067a043464e7157495a8f29d62899e">getBuiltinType</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="classerpcgen_1_1_builtin_type.html#acde044e9a252a99cfb221064e694bd78">m_builtinType</a>; }</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;</div><div class="line"><a name="l00096"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_builtin_type.html#a8007b6e666199f3798fd337c3393a5b3">   96</a></span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classerpcgen_1_1_builtin_type.html#a8007b6e666199f3798fd337c3393a5b3">isBuiltin</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <span class="keyword">true</span>; }</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div><div class="line"><a name="l00101"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_builtin_type.html#abdeaaab765db6146f0599adab08ca99b">  101</a></span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classerpcgen_1_1_builtin_type.html#abdeaaab765db6146f0599adab08ca99b">isScalar</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> (<a class="code" href="classerpcgen_1_1_builtin_type.html#aefe3eb8ff9c15466fad1568058daf72d">isInt</a>() || <a class="code" href="classerpcgen_1_1_builtin_type.html#aedcdff6ac4b626cff2c787193de3f600">isFloat</a>() || <a class="code" href="classerpcgen_1_1_builtin_type.html#aacecc39cd6fe57aa692bf16c393818d5">isBool</a>()) &amp;&amp; !(<a class="code" href="classerpcgen_1_1_builtin_type.html#a8684c51036dbadb6f0f996994bac27ba">isString</a>() || <a class="code" href="classerpcgen_1_1_builtin_type.html#ada0b92d144c0b445c0c143442c836024">isBinary</a>()); }</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;</div><div class="line"><a name="l00109"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_builtin_type.html#aefe3eb8ff9c15466fad1568058daf72d">  109</a></span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classerpcgen_1_1_builtin_type.html#aefe3eb8ff9c15466fad1568058daf72d">isInt</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> kInt8Type &lt;= <a class="code" href="classerpcgen_1_1_builtin_type.html#acde044e9a252a99cfb221064e694bd78">m_builtinType</a> &amp;&amp; <a class="code" href="classerpcgen_1_1_builtin_type.html#acde044e9a252a99cfb221064e694bd78">m_builtinType</a> &lt;= kUInt64Type; }</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;</div><div class="line"><a name="l00117"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_builtin_type.html#aedcdff6ac4b626cff2c787193de3f600">  117</a></span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classerpcgen_1_1_builtin_type.html#aedcdff6ac4b626cff2c787193de3f600">isFloat</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="classerpcgen_1_1_builtin_type.html#acde044e9a252a99cfb221064e694bd78">m_builtinType</a> == kFloatType || <a class="code" href="classerpcgen_1_1_builtin_type.html#acde044e9a252a99cfb221064e694bd78">m_builtinType</a> == kDoubleType; }</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;</div><div class="line"><a name="l00125"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_builtin_type.html#aacecc39cd6fe57aa692bf16c393818d5">  125</a></span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classerpcgen_1_1_builtin_type.html#aacecc39cd6fe57aa692bf16c393818d5">isBool</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="classerpcgen_1_1_builtin_type.html#acde044e9a252a99cfb221064e694bd78">m_builtinType</a> == kBoolType; }</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;</div><div class="line"><a name="l00133"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_builtin_type.html#a8684c51036dbadb6f0f996994bac27ba">  133</a></span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classerpcgen_1_1_builtin_type.html#a8684c51036dbadb6f0f996994bac27ba">isString</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="classerpcgen_1_1_builtin_type.html#acde044e9a252a99cfb221064e694bd78">m_builtinType</a> == kStringType; }</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;</div><div class="line"><a name="l00141"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_builtin_type.html#ada0b92d144c0b445c0c143442c836024">  141</a></span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classerpcgen_1_1_builtin_type.html#ada0b92d144c0b445c0c143442c836024">isBinary</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="classerpcgen_1_1_builtin_type.html#acde044e9a252a99cfb221064e694bd78">m_builtinType</a> == kBinaryType; }</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;<span class="keyword">protected</span>:</div><div class="line"><a name="l00144"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_builtin_type.html#acde044e9a252a99cfb221064e694bd78">  144</a></span>&#160;    <a class="code" href="classerpcgen_1_1_builtin_type.html#a631f1f1e3e9aff50d2d18b6e1c288aac">_builtin_type</a> <a class="code" href="classerpcgen_1_1_builtin_type.html#acde044e9a252a99cfb221064e694bd78">m_builtinType</a>; </div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;};</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;} <span class="comment">// namespace erpcgen</span></div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;<span class="preprocessor">#endif // _EMBEDDED_RPC__BUILTINTYPE_H_</span></div><div class="ttc" id="classerpcgen_1_1_builtin_type_html_a631f1f1e3e9aff50d2d18b6e1c288aac"><div class="ttname"><a href="classerpcgen_1_1_builtin_type.html#a631f1f1e3e9aff50d2d18b6e1c288aac">erpcgen::BuiltinType::_builtin_type</a></div><div class="ttdeci">_builtin_type</div><div class="ttdoc">Atomic builtin types. </div><div class="ttdef"><b>Definition:</b> BuiltinType.h:53</div></div>
<div class="ttc" id="classerpcgen_1_1_builtin_type_html_abdeaaab765db6146f0599adab08ca99b"><div class="ttname"><a href="classerpcgen_1_1_builtin_type.html#abdeaaab765db6146f0599adab08ca99b">erpcgen::BuiltinType::isScalar</a></div><div class="ttdeci">virtual bool isScalar() const </div><div class="ttdoc">Returns whether the type is a scalar builtin type. </div><div class="ttdef"><b>Definition:</b> BuiltinType.h:101</div></div>
<div class="ttc" id="classerpcgen_1_1_builtin_type_html"><div class="ttname"><a href="classerpcgen_1_1_builtin_type.html">erpcgen::BuiltinType</a></div><div class="ttdoc">Represents the builtin atomic types. </div><div class="ttdef"><b>Definition:</b> BuiltinType.h:47</div></div>
<div class="ttc" id="classerpcgen_1_1_builtin_type_html_a8684c51036dbadb6f0f996994bac27ba"><div class="ttname"><a href="classerpcgen_1_1_builtin_type.html#a8684c51036dbadb6f0f996994bac27ba">erpcgen::BuiltinType::isString</a></div><div class="ttdeci">virtual bool isString() const </div><div class="ttdoc">This function return true/false value for identify string type. </div><div class="ttdef"><b>Definition:</b> BuiltinType.h:133</div></div>
<div class="ttc" id="classerpcgen_1_1_builtin_type_html_aedcdff6ac4b626cff2c787193de3f600"><div class="ttname"><a href="classerpcgen_1_1_builtin_type.html#aedcdff6ac4b626cff2c787193de3f600">erpcgen::BuiltinType::isFloat</a></div><div class="ttdeci">virtual bool isFloat() const </div><div class="ttdoc">This function return &quot;true&quot; value for identify float type. </div><div class="ttdef"><b>Definition:</b> BuiltinType.h:117</div></div>
<div class="ttc" id="classerpcgen_1_1_builtin_type_html_a8007b6e666199f3798fd337c3393a5b3"><div class="ttname"><a href="classerpcgen_1_1_builtin_type.html#a8007b6e666199f3798fd337c3393a5b3">erpcgen::BuiltinType::isBuiltin</a></div><div class="ttdeci">virtual bool isBuiltin() const </div><div class="ttdoc">This function return &quot;true&quot; value for identify builtin type. </div><div class="ttdef"><b>Definition:</b> BuiltinType.h:96</div></div>
<div class="ttc" id="classerpcgen_1_1_data_type_html"><div class="ttname"><a href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a></div><div class="ttdoc">Base class for data types. </div><div class="ttdef"><b>Definition:</b> DataType.h:47</div></div>
<div class="ttc" id="classerpcgen_1_1_builtin_type_html_aacecc39cd6fe57aa692bf16c393818d5"><div class="ttname"><a href="classerpcgen_1_1_builtin_type.html#aacecc39cd6fe57aa692bf16c393818d5">erpcgen::BuiltinType::isBool</a></div><div class="ttdeci">virtual bool isBool() const </div><div class="ttdoc">This function return &quot;true&quot; value for identify bool type. </div><div class="ttdef"><b>Definition:</b> BuiltinType.h:125</div></div>
<div class="ttc" id="classerpcgen_1_1_builtin_type_html_a2f067a043464e7157495a8f29d62899e"><div class="ttname"><a href="classerpcgen_1_1_builtin_type.html#a2f067a043464e7157495a8f29d62899e">erpcgen::BuiltinType::getBuiltinType</a></div><div class="ttdeci">_builtin_type getBuiltinType() const </div><div class="ttdoc">This function returns builtin type. </div><div class="ttdef"><b>Definition:</b> BuiltinType.h:89</div></div>
<div class="ttc" id="classerpcgen_1_1_builtin_type_html_aefe3eb8ff9c15466fad1568058daf72d"><div class="ttname"><a href="classerpcgen_1_1_builtin_type.html#aefe3eb8ff9c15466fad1568058daf72d">erpcgen::BuiltinType::isInt</a></div><div class="ttdeci">virtual bool isInt() const </div><div class="ttdoc">This function return &quot;true&quot; value for identify int type. </div><div class="ttdef"><b>Definition:</b> BuiltinType.h:109</div></div>
<div class="ttc" id="classerpcgen_1_1_builtin_type_html_ada0b92d144c0b445c0c143442c836024"><div class="ttname"><a href="classerpcgen_1_1_builtin_type.html#ada0b92d144c0b445c0c143442c836024">erpcgen::BuiltinType::isBinary</a></div><div class="ttdeci">virtual bool isBinary() const </div><div class="ttdoc">This function return true/false value for identify binary type. </div><div class="ttdef"><b>Definition:</b> BuiltinType.h:141</div></div>
<div class="ttc" id="classerpcgen_1_1_builtin_type_html_ae63a5dda5dccb51406768ee887cb34b0"><div class="ttname"><a href="classerpcgen_1_1_builtin_type.html#ae63a5dda5dccb51406768ee887cb34b0">erpcgen::BuiltinType::BuiltinType</a></div><div class="ttdeci">BuiltinType(const std::string &amp;name, _builtin_type builtinType)</div><div class="ttdoc">Constructor. </div><div class="ttdef"><b>Definition:</b> BuiltinType.h:78</div></div>
<div class="ttc" id="namespaceerpcgen_html"><div class="ttname"><a href="namespaceerpcgen.html">erpcgen</a></div><div class="ttdef"><b>Definition:</b> AstNode.h:47</div></div>
<div class="ttc" id="classerpcgen_1_1_builtin_type_html_acde044e9a252a99cfb221064e694bd78"><div class="ttname"><a href="classerpcgen_1_1_builtin_type.html#acde044e9a252a99cfb221064e694bd78">erpcgen::BuiltinType::m_builtinType</a></div><div class="ttdeci">_builtin_type m_builtinType</div><div class="ttdef"><b>Definition:</b> BuiltinType.h:144</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
